FREEFARE_ERROR(3)

NAME
freefare_strerror, freefare_strerror_r, freefare_perror, mifare_desfire_last_picc_error - Error Reporting Functions.

LIBRARY
Mifare card manipulation library (libfreefare, -lfreefare)

SYNOPSIS
#include <freefare.h>
const char *
freefare_strerror(MifareTag tag);
int
freefare_strerror_r(MifareTag tag, char *buffer, size_t len);
void
freefare_strerror(MifareTag tag, char *string);
uint8_t
mifare_desfire_last_pcd_error(MifareTag tag);
uint8_t
mifare_desfire_last_picc_error(MifareTag tag);

DESCRIPTION
The freefare_strerror() functions returns the error string corresponding to the last PCD or PICC error encounred using tag.

The freefare_strerror_r() functions does the same as freefare_strerror() but the error message is copied into buffer for a maximum size of len chars.

The freefare_strerror() function displays the last PCD or PICC error encounred using tag to stderr.

The mifare_desfire_last_pcd_error() function returns the error code of the last function call from the library.

The mifare_desfire_last_picc_error() function returns the error code returned by the last command run on tag.

RETURN VALUES
freefare_strerror() returns the error message, freefare_strerror_r() returns 0 on success, -1 on failure; mifare_desfire_last_pcd_error() and mifare_desfire_last_picc_error() return an error code or 0 if no error occured or if tag is not a Mifare DESFire target.

SEE ALSO
freefare(3),

AUTHORS
Romain Tartiere <romain@il4p.org>